<back to all web services

GetRelatedItems

The following routes are available for this service:
GET/RestApi/translations/related
import 'package:servicestack/servicestack.dart';

class GetRelatedItems implements IConvertible
{
    List<String>? Ids;

    GetRelatedItems({this.Ids});
    GetRelatedItems.fromJson(Map<String, dynamic> json) { fromMap(json); }

    fromMap(Map<String, dynamic> json) {
        Ids = JsonConverters.fromJson(json['Ids'],'List<String>',context!);
        return this;
    }

    Map<String, dynamic> toJson() => {
        'Ids': JsonConverters.toJson(Ids,'List<String>',context!)
    };

    getTypeName() => "GetRelatedItems";
    TypeContext? context = _ctx;
}

class RelatedItemsProxy implements IConvertible
{
    int? TranslationsCount;
    int? ProjectsCount;

    RelatedItemsProxy({this.TranslationsCount,this.ProjectsCount});
    RelatedItemsProxy.fromJson(Map<String, dynamic> json) { fromMap(json); }

    fromMap(Map<String, dynamic> json) {
        TranslationsCount = json['TranslationsCount'];
        ProjectsCount = json['ProjectsCount'];
        return this;
    }

    Map<String, dynamic> toJson() => {
        'TranslationsCount': TranslationsCount,
        'ProjectsCount': ProjectsCount
    };

    getTypeName() => "RelatedItemsProxy";
    TypeContext? context = _ctx;
}

TypeContext _ctx = TypeContext(library: 'www.imglobal.com', types: <String, TypeInfo> {
    'GetRelatedItems': TypeInfo(TypeOf.Class, create:() => GetRelatedItems()),
    'RelatedItemsProxy': TypeInfo(TypeOf.Class, create:() => RelatedItemsProxy()),
});

Dart GetRelatedItems DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/related HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"TranslationsCount":0,"ProjectsCount":0}